#pragma once
#include "Entity.h"
//火球枪2、3级的效果物体
class CS_SantaFireballBladeTrail :
    public Entity
{
public:
    CS_SantaFireballBladeTrail();
    void Step() override;
    int ani_wait = 0;
    int ani_no = 0;
    int direct = 0;
    int level = 1;
};

void SetCS_SantaFireballBladeTrail(std::shared_ptr<Entity> parent, float x, float y, int direct, float vy, int level);